
%global packagename kgb

Name:           python-%{packagename}
Version:        0.5.1
Release:        10%{?dist}
Summary:        Utilities for spying on function calls in unit tests

License:        MIT
URL:            https://github.com/beanbaginc/kgb
Source0:        https://pypi.python.org/packages/source/k/%{packagename}/%{packagename}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

%global _description\
Spies intercept and record calls to functions. They can report on how many\
times a function was called and with what arguments. They can allow the\
function call to go through as normal, to block it, or to reroute it to another\
function.

%description %_description

%package -n python2-%{packagename}
Summary: %summary
%{?python_provide:%python_provide python2-%{packagename}}

%description -n python2-%{packagename} %_description

%prep
%setup -q -n %{packagename}-%{version}
rm -Rf kgb*.egg-info


%build
%{__python2} setup.py build


%install
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%check
%{__python2} setup.py test -s kgb.tests
 
%files -n python2-%{packagename}
%doc AUTHORS NEWS README.md
%{python2_sitelib}/kgb*.egg-info/
%{python2_sitelib}/kgb/

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 25 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.5.1-8
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.1-7
- Python 2 binary package renamed to python2-kgb
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Sep 17 2014 Stephen Gallagher <sgallagh@redhat.com> 0.5.1-1
- First official release

* Tue Sep 16 2014 Stephen Gallagher <sgallagh@redhat.com> 0.5.1-0.2
- Add AUTHORS, NEWS and README.md to %%doc
- Remove unnecessary buildroot cleanup in %%install

* Tue Sep 16 2014 Stephen Gallagher <sgallagh@redhat.com> 0.5.1-0.1
- Initial release
